package _VisualDVM.Visual.Menus.MainMenuBar;
import Visual_DVM_2021.Passes.PassCode;
import _VisualDVM.Visual.Menus.VisualiserMenu;
public class GlobalCleaningMenu extends VisualiserMenu {
    public GlobalCleaningMenu() {
        super("Очистка", "/icons/Clean.png", false);
        addPasses(PassCode.DropLastProjects, PassCode.DropFastAccess);
        addSeparator();
        addPasses(PassCode.DeleteDownloadedBugReports);
        addSeparator();
        addPasses(PassCode.DropAnalyses,
                PassCode.CleanAnalyses,
                PassCode.DropSavedArrays,
                PassCode.DeleteDebugResults);
        addSeparator();
        addPasses(PassCode.ResetCurrentProject);
    }
}
